io.vertx.ext.shell.command.base

## Class BusPublish

- java.lang.Object
- - io.vertx.ext.shell.command.AnnotatedCommand
  - - io.vertx.ext.shell.command.base.BusPublish

- Direct Known Subclasses:
    BusSend

      public class BusPublish
      extends AnnotatedCommand

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `address`
    `protected String` | `body`
    `protected DeliveryOptions` | `options`
    `protected ObjectType` | `type`
    `protected boolean` | `verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusPublish()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `parseBody()`
    `void` | `process(CommandProcess process)` Process the command, when the command is done processing it should call the `CommandProcess.end()` method.
    `void` | `setAddress(String address)`
    `void` | `setBody(String body)`
    `void` | `setHeaders(List<String> headers)`
    `void` | `setType(ObjectType type)`
    `void` | `setVerbose(boolean verbose)`

    - ### Methods inherited from class io.vertx.ext.shell.command.AnnotatedCommand

      `cli, complete, name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### verbose

          protected boolean verbose

    - #### address

          protected String address

    - #### body

          protected String body

    - #### options

          protected DeliveryOptions options

    - #### type

          protected ObjectType type

  - ### Constructor Detail

    - #### BusPublish

          public BusPublish()

  - ### Method Detail

    - #### setAddress

          public void setAddress(String address)

    - #### setBody

          public void setBody(String body)

    - #### setHeaders

          public void setHeaders(List<String> headers)

    - #### setVerbose

          public void setVerbose(boolean verbose)

    - #### setType

          public void setType(ObjectType type)

    - #### parseBody

          protected Object parseBody()

    - #### process

          public void process(CommandProcess process)

      Description copied from class: `AnnotatedCommand`
      Process the command, when the command is done processing it should call the `CommandProcess.end()` method.
      Specified by:
        `process` in class `AnnotatedCommand`
      Parameters:
        `process` - the command process

Copyright © 2017. All rights reserved.